[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.UpdateStatus

Get the update status for the current record

## Declaration

Source position: db.pas line 1622

`public function TDataSet.UpdateStatus: TUpdateStatus; virtual;`

## Function result

Status of the current record

## Description

UpdateStatus always returns usUnModified in the TDataset implementation. Descendent classes should override this method to indicate the status for the current record in case they support cached updates: the function should return the status of the current record: has the record been locally inserted, modified or deleted, or none of these. UpdateStatus is not used in TDataset itself, but is provided so applications have a unique API to work with datasets that have support for cached updates.

Documentation generated on: Feb 26 2014